#!/bin/csh

# SOLARIS C++, EPC F90, MPICH/P4

set MPICH_HOME = $1
set CCLIB_HOME = $2

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib="-lmpi -lsocket -lnsl" \
          -ccom="cc -X s" \
          -f90=epc \
          -c++com="CC" \
          -c++lib="${CCLIB_HOME}/libC.a" \
          -lnkcom="epcf90 -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           SunOS 5.4 (Solaris)
#           EPC Fortran-90 Version 1.1.0 Sparc
#           C++ (?)
#           MPICH (?)
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.
#
#      `$CCLIB_HOME' is the directory containing `libC.a'.
#
#      It ought to be possible to link in the C libraries by specifying 
#             -c++lib="-lC" \
#             -lnkcom="epcf90 -L/${CCLIB_HOME} [...]"
#           Unverified.
#
#      The option
#             -ccom="cc -X s"
#           is now redundant.  Unverified.

